<template>
  <VContainer fill-height>
    <VLayout align-center>
      <VFlex text-xs-center>
        <h1 class="display-2 primary--text">
          {{ error.statusCode }}
        </h1>
        <p>{{ error.message }}</p>
        <VBtn
          color="warning"
          large
          outline
          @click="$router.back()"
        >
          <VIcon left>
            error
          </VIcon>
          Tire-me daqui!
        </VBtn>
      </VFlex>
    </VLayout>
  </VContainer>
</template>

<script lang="ts">
import {
  Component, Vue, Mutation, Prop,
} from 'nuxt-property-decorator';

@Component
export default class Error extends Vue {
  @Mutation
  setHeader!: (key: boolean) => void

  @Mutation
  setFooter!: (key: boolean) => void

  @Prop(Object)
  readonly error!: Object

  mounted() {
    this.setFooter(false);
    this.setHeader(false);
  }
}
</script>
